// ----------------------------------------------------------------------------
// ergoDOX layout : saneo (generated)
// ----------------------------------------------------------------------------

#define KB_LAYERS 5
static const keycode	PROGMEM _kb_layout_code[KB_ROWS][KB_COLUMNS][KB_LAYERS]	= {
{
	{ // row 0 x col 0
		(keycode) KEY_NULL,                                       // dummy on LB
		(keycode) KEY_NULL,                                       // dummy on LP
		(keycode) KEY_NULL,                                       // dummy on LN
		(keycode) KEY_NULL,                                       // dummy on LF
		(keycode) KEY_NULL,                                       // dummy on LD
	},
	{ // row 0 x col 1
		(keycode) MOD_KEY_LeftAlt,                                // Lx┳c on LB
		(keycode) MOD_KEY_LeftAlt,                                // Lx┳c on LP
		(keycode) MOD_KEY_LeftAlt,                                // Lx┳c on LN
		(keycode) MOD_KEY_LeftAlt,                                // Lx┳c on LF
		(keycode) MOD_KEY_LeftAlt,                                // Lx┳c on LD
	},
	{ // row 0 x col 2
		(keycode) MOD_KEY_LeftControl,                            // Lx┳b on LB
		(keycode) MOD_KEY_LeftControl,                            // Lx┳b on LP
		(keycode) MOD_KEY_LeftControl,                            // Lx┳b on LN
		(keycode) MOD_KEY_LeftControl,                            // Lx┳b on LF
		(keycode) MOD_KEY_LeftControl,                            // Lx┳b on LD
	},
	{ // row 0 x col 3
		(keycode) KEY_Spacebar,                                   // Lx┳a on LB
		(keycode) KEY_Spacebar,                                   // Lx┳a on LP
		(keycode) KEY_Spacebar,                                   // Lx┳a on LN
		(keycode) KEY_Spacebar,                                   // Lx┳a on LF
		(keycode) KEY_Spacebar,                                   // Lx┳a on LD
	},
	{ // row 0 x col 4
		(keycode) MOD_KEY_LeftAlt,                                // Ly┳c on LB
		(keycode) MOD_KEY_LeftAlt,                                // Ly┳c on LP
		(keycode) MOD_KEY_LeftAlt,                                // Ly┳c on LN
		(keycode) MOD_KEY_LeftAlt,                                // Ly┳c on LF
		(keycode) MOD_KEY_LeftAlt,                                // Ly┳c on LD
	},
	{ // row 0 x col 5
		(keycode) KEY_ScrollLock,                                 // Lz┳b on LB
		(keycode) KEY_ScrollLock,                                 // Lz┳b on LP
		(keycode) KEY_ScrollLock,                                 // Lz┳b on LN
		(keycode) KEY_ScrollLock,                                 // Lz┳b on LF
		(keycode) KEY_ScrollLock,                                 // Lz┳b on LD
	},
	{ // row 0 x col 6
		(keycode) 3,                                              // Lz┳c on LB
		(keycode) 3,                                              // Lz┳c on LP
		(keycode) 3,                                              // Lz┳c on LN
		(keycode) 3,                                              // Lz┳c on LF
		(keycode) 3,                                              // Lz┳c on LD
	},
	{ // row 0 x col 7
		(keycode) 3,                                              // Rz┳c on LB
		(keycode) 3,                                              // Rz┳c on LP
		(keycode) 3,                                              // Rz┳c on LN
		(keycode) 3,                                              // Rz┳c on LF
		(keycode) 3,                                              // Rz┳c on LD
	},
	{ // row 0 x col 8
		(keycode) 3,                                              // Rz┳b on LB
		(keycode) 3,                                              // Rz┳b on LP
		(keycode) 3,                                              // Rz┳b on LN
		(keycode) 3,                                              // Rz┳b on LF
		(keycode) 3,                                              // Rz┳b on LD
	},
	{ // row 0 x col 9
		(keycode) KEY_Application,                                // Ry┳c on LB
		(keycode) KEY_Application,                                // Ry┳c on LP
		(keycode) KEY_Application,                                // Ry┳c on LN
		(keycode) KEY_Application,                                // Ry┳c on LF
		(keycode) KEY_Application,                                // Ry┳c on LD
	},
	{ // row 0 x col 10
		(keycode) 1,                                              // Rx┳a on LB
		(keycode) 1,                                              // Rx┳a on LP
		(keycode) 1,                                              // Rx┳a on LN
		(keycode) 1,                                              // Rx┳a on LF
		(keycode) 1,                                              // Rx┳a on LD
	},
	{ // row 0 x col 11
		(keycode) 3,                                              // Rx┳b on LB
		(keycode) 3,                                              // Rx┳b on LP
		(keycode) 3,                                              // Rx┳b on LN
		(keycode) 3,                                              // Rx┳b on LF
		(keycode) 3,                                              // Rx┳b on LD
	},
	{ // row 0 x col 12
		(keycode) KEY_Application,                                // Rx┳c on LB
		(keycode) KEY_Application,                                // Rx┳c on LP
		(keycode) KEY_Application,                                // Rx┳c on LN
		(keycode) KEY_Application,                                // Rx┳c on LF
		(keycode) KEY_Application,                                // Rx┳c on LD
	},
	{ // row 0 x col 13
		(keycode) KEY_NULL,                                       // dummy on LB
		(keycode) KEY_NULL,                                       // dummy on LP
		(keycode) KEY_NULL,                                       // dummy on LN
		(keycode) KEY_NULL,                                       // dummy on LF
		(keycode) KEY_NULL,                                       // dummy on LD
	},
},
{
	{ // row 1 x col 0
		(keycode) KEY_LeftArrow,                                  // Lu┳o on LB
		(keycode) KEY_LeftArrow,                                  // Lu┳o on LP
		(keycode) KEY_LeftArrow,                                  // Lu┳o on LN
		(keycode) KEY_LeftArrow,                                  // Lu┳o on LF
		(keycode) KEY_LeftArrow,                                  // Lu┳o on LD
	},
	{ // row 1 x col 1
		(keycode) KEY_UpArrow,                                    // Lu┳4 on LB
		(keycode) KEY_UpArrow,                                    // Lu┳4 on LP
		(keycode) KEY_UpArrow,                                    // Lu┳4 on LN
		(keycode) KEY_UpArrow,                                    // Lu┳4 on LF
		(keycode) KEY_UpArrow,                                    // Lu┳4 on LD
	},
	{ // row 1 x col 2
		(keycode) KEY_DownArrow,                                  // Lu┳3 on LB
		(keycode) KEY_DownArrow,                                  // Lu┳3 on LP
		(keycode) KEY_DownArrow,                                  // Lu┳3 on LN
		(keycode) KEY_DownArrow,                                  // Lu┳3 on LF
		(keycode) KEY_DownArrow,                                  // Lu┳3 on LD
	},
	{ // row 1 x col 3
		(keycode) KEY_RightArrow,                                 // Lu┳2 on LB
		(keycode) KEY_RightArrow,                                 // Lu┳2 on LP
		(keycode) KEY_RightArrow,                                 // Lu┳2 on LN
		(keycode) KEY_RightArrow,                                 // Lu┳2 on LF
		(keycode) KEY_RightArrow,                                 // Lu┳2 on LD
	},
	{ // row 1 x col 4
		(keycode) MOD_KEY_LeftGUI,                                // Lu┳1 on LB
		(keycode) MOD_KEY_LeftGUI,                                // Lu┳1 on LP
		(keycode) MOD_KEY_LeftGUI,                                // Lu┳1 on LN
		(keycode) MOD_KEY_LeftGUI,                                // Lu┳1 on LF
		(keycode) MOD_KEY_LeftGUI,                                // Lu┳1 on LD
	},
	{ // row 1 x col 5
		(keycode) KEY_Spacebar,                                   // Ly┳a on LB
		(keycode) KEY_Spacebar,                                   // Ly┳a on LP
		(keycode) KEY_Spacebar,                                   // Ly┳a on LN
		(keycode) KEY_Spacebar,                                   // Ly┳a on LF
		(keycode) KEY_Spacebar,                                   // Ly┳a on LD
	},
	{ // row 1 x col 6
		(keycode) MOD_KEY_LeftControl,                            // Ly┳b on LB
		(keycode) MOD_KEY_LeftControl,                            // Ly┳b on LP
		(keycode) MOD_KEY_LeftControl,                            // Ly┳b on LN
		(keycode) MOD_KEY_LeftControl,                            // Ly┳b on LF
		(keycode) MOD_KEY_LeftControl,                            // Ly┳b on LD
	},
	{ // row 1 x col 7
		(keycode) 3,                                              // Ry┳b on LB
		(keycode) 3,                                              // Ry┳b on LP
		(keycode) 3,                                              // Ry┳b on LN
		(keycode) 3,                                              // Ry┳b on LF
		(keycode) 3,                                              // Ry┳b on LD
	},
	{ // row 1 x col 8
		(keycode) 1,                                              // Ry┳a on LB
		(keycode) 1,                                              // Ry┳a on LP
		(keycode) 1,                                              // Ry┳a on LN
		(keycode) 1,                                              // Ry┳a on LF
		(keycode) 1,                                              // Ry┳a on LD
	},
	{ // row 1 x col 9
		(keycode) 2,                                              // Ru┳1 on LB
		(keycode) 2,                                              // Ru┳1 on LP
		(keycode) 2,                                              // Ru┳1 on LN
		(keycode) 2,                                              // Ru┳1 on LF
		(keycode) 2,                                              // Ru┳1 on LD
	},
	{ // row 1 x col 10
		(keycode) KEY_LeftArrow,                                  // Ru┳2 on LB
		(keycode) KEY_LeftArrow,                                  // Ru┳2 on LP
		(keycode) KEY_LeftArrow,                                  // Ru┳2 on LN
		(keycode) KEY_LeftArrow,                                  // Ru┳2 on LF
		(keycode) KEY_LeftArrow,                                  // Ru┳2 on LD
	},
	{ // row 1 x col 11
		(keycode) KEY_UpArrow,                                    // Ru┳3 on LB
		(keycode) KEY_UpArrow,                                    // Ru┳3 on LP
		(keycode) KEY_UpArrow,                                    // Ru┳3 on LN
		(keycode) KEY_UpArrow,                                    // Ru┳3 on LF
		(keycode) KEY_UpArrow,                                    // Ru┳3 on LD
	},
	{ // row 1 x col 12
		(keycode) KEY_DownArrow,                                  // Ru┳4 on LB
		(keycode) KEY_DownArrow,                                  // Ru┳4 on LP
		(keycode) KEY_DownArrow,                                  // Ru┳4 on LN
		(keycode) KEY_DownArrow,                                  // Ru┳4 on LF
		(keycode) KEY_DownArrow,                                  // Ru┳4 on LD
	},
	{ // row 1 x col 13
		(keycode) KEY_RightArrow,                                 // Ru┳o on LB
		(keycode) KEY_RightArrow,                                 // Ru┳o on LP
		(keycode) KEY_RightArrow,                                 // Ru┳o on LN
		(keycode) KEY_RightArrow,                                 // Ru┳o on LF
		(keycode) KEY_RightArrow,                                 // Ru┳o on LD
	},
},
{
	{ // row 2 x col 0
		(keycode) MOD_KEY_LeftShift,                              // Lb┳o on LB
		(keycode) MOD_KEY_LeftShift,                              // Lb┳o on LP
		(keycode) MOD_KEY_LeftShift,                              // Lb┳o on LN
		(keycode) MOD_KEY_LeftShift,                              // Lb┳o on LF
		(keycode) MOD_KEY_LeftShift,                              // Lb┳o on LD
	},
	{ // row 2 x col 1
		(keycode) KEY_5_Percent,                                  // Lb┳4 on LB
		(keycode) KEY_GraveAccent_Tilde,                          // Lb┳4 on LP
		(keycode) KEY_Home,                                       // Lb┳4 on LN
		(keycode) KEY_F18,                                        // Lb┳4 on LF
		(keycode) KEY_8_Asterisk,                                 // Lb┳4 on LD
	},
	{ // row 2 x col 2
		(keycode) KEY_8_Asterisk,                                 // Lb┳3 on LB
		(keycode) KEY_6_Caret,                                    // Lb┳3 on LP
		(keycode) KEY_PageUp,                                     // Lb┳3 on LN
		(keycode) KEY_F17,                                        // Lb┳3 on LF
		(keycode) KEY_7_Ampersand,                                // Lb┳3 on LD
	},
	{ // row 2 x col 3
		(keycode) KEY_Semicolon_Colon,                            // Lb┳2 on LB
		(keycode) KEY_Backslash_Pipe,                             // Lb┳2 on LP
		(keycode) KEY_PageDown,                                   // Lb┳2 on LN
		(keycode) KEY_F16,                                        // Lb┳2 on LF
		(keycode) KEY_6_Caret,                                    // Lb┳2 on LD
	},
	{ // row 2 x col 4
		(keycode) KEY_p_P,                                        // Lb┳1 on LB
		(keycode) KEY_Dash_Underscore,                            // Lb┳1 on LP
		(keycode) KEY_End,                                        // Lb┳1 on LN
		(keycode) KEY_F15,                                        // Lb┳1 on LF
		(keycode) KEY_5_Percent,                                  // Lb┳1 on LD
	},
	{ // row 2 x col 5
		(keycode) KEY_z_Z,                                        // Lb┳0 on LB
		(keycode) KEY_2_At,                                       // Lb┳0 on LP
		(keycode) KEY_NULL,                                       // Lb┳0 on LN
		(keycode) KEY_F19,                                        // Lb┳0 on LF
		(keycode) KEY_9_LeftParenthesis,                          // Lb┳0 on LD
	},
	{ // row 2 x col 6
		(keycode) KEY_ReturnEnter,                                // Lb┳d on LB
		(keycode) KEY_ReturnEnter,                                // Lb┳d on LP
		(keycode) KEY_ReturnEnter,                                // Lb┳d on LN
		(keycode) KEY_ReturnEnter,                                // Lb┳d on LF
		(keycode) KEY_ReturnEnter,                                // Lb┳d on LD
	},
	{ // row 2 x col 7
		(keycode) KEY_ReturnEnter,                                // Rb┳d on LB
		(keycode) KEY_ReturnEnter,                                // Rb┳d on LP
		(keycode) KEY_ReturnEnter,                                // Rb┳d on LN
		(keycode) KEY_ReturnEnter,                                // Rb┳d on LF
		(keycode) KEY_ReturnEnter,                                // Rb┳d on LD
	},
	{ // row 2 x col 8
		(keycode) KEY_b_B,                                        // Rb┳0 on LB
		(keycode) KEY_Equal_Plus,                                 // Rb┳0 on LP
		(keycode) KEY_9_LeftParenthesis,                          // Rb┳0 on LN
		(keycode) KEY_F9,                                         // Rb┳0 on LF
		(keycode) KEY_9_LeftParenthesis,                          // Rb┳0 on LD
	},
	{ // row 2 x col 9
		(keycode) KEY_m_M,                                        // Rb┳1 on LB
		(keycode) KEY_4_Dollar,                                   // Rb┳1 on LP
		(keycode) KEY_5_Percent,                                  // Rb┳1 on LN
		(keycode) KEY_F5,                                         // Rb┳1 on LF
		(keycode) KEY_5_Percent,                                  // Rb┳1 on LD
	},
	{ // row 2 x col 10
		(keycode) KEY_j_J,                                        // Rb┳2 on LB
		(keycode) KEY_7_Ampersand,                                // Rb┳2 on LP
		(keycode) KEY_6_Caret,                                    // Rb┳2 on LN
		(keycode) KEY_F6,                                         // Rb┳2 on LF
		(keycode) KEY_6_Caret,                                    // Rb┳2 on LD
	},
	{ // row 2 x col 11
		(keycode) KEY_y_Y,                                        // Rb┳3 on LB
		(keycode) KEY_3_Pound,                                    // Rb┳3 on LP
		(keycode) KEY_7_Ampersand,                                // Rb┳3 on LN
		(keycode) KEY_F7,                                         // Rb┳3 on LF
		(keycode) KEY_7_Ampersand,                                // Rb┳3 on LD
	},
	{ // row 2 x col 12
		(keycode) KEY_Semicolon_Colon,                            // Rb┳4 on LB
		(keycode) KEY_6_Caret,                                    // Rb┳4 on LP
		(keycode) KEY_8_Asterisk,                                 // Rb┳4 on LN
		(keycode) KEY_F8,                                         // Rb┳4 on LF
		(keycode) KEY_8_Asterisk,                                 // Rb┳4 on LD
	},
	{ // row 2 x col 13
		(keycode) MOD_KEY_RightShift,                             // Rb┳o on LB
		(keycode) MOD_KEY_RightShift,                             // Rb┳o on LP
		(keycode) MOD_KEY_RightShift,                             // Rb┳o on LN
		(keycode) MOD_KEY_RightShift,                             // Rb┳o on LF
		(keycode) MOD_KEY_RightShift,                             // Rb┳o on LD
	},
},
{
	{ // row 3 x col 0
		(keycode) MOD_KEY_RightAlt,                               // Lh┳o on LB
		(keycode) MOD_KEY_RightAlt,                               // Lh┳o on LP
		(keycode) MOD_KEY_RightAlt,                               // Lh┳o on LN
		(keycode) MOD_KEY_RightAlt,                               // Lh┳o on LF
		(keycode) MOD_KEY_RightAlt,                               // Lh┳o on LD
	},
	{ // row 3 x col 1
		(keycode) KEY_u_U,                                        // Lh┳4 on LB
		(keycode) KEY_Comma_LessThan,                             // Lh┳4 on LP
		(keycode) KEY_LeftArrow,                                  // Lh┳4 on LN
		(keycode) KEY_F14,                                        // Lh┳4 on LF
		(keycode) KEY_4_Dollar,                                   // Lh┳4 on LD
	},
	{ // row 3 x col 2
		(keycode) KEY_i_I,                                        // Lh┳3 on LB
		(keycode) KEY_LeftBracket_LeftBrace,                      // Lh┳3 on LP
		(keycode) KEY_UpArrow,                                    // Lh┳3 on LN
		(keycode) KEY_F13,                                        // Lh┳3 on LF
		(keycode) KEY_3_Pound,                                    // Lh┳3 on LD
	},
	{ // row 3 x col 3
		(keycode) KEY_a_A,                                        // Lh┳2 on LB
		(keycode) KEY_Slash_Question,                             // Lh┳2 on LP
		(keycode) KEY_DownArrow,                                  // Lh┳2 on LN
		(keycode) KEY_F12,                                        // Lh┳2 on LF
		(keycode) KEY_2_At,                                       // Lh┳2 on LD
	},
	{ // row 3 x col 4
		(keycode) KEY_e_E,                                        // Lh┳1 on LB
		(keycode) KEY_1_Exclamation,                              // Lh┳1 on LP
		(keycode) KEY_RightArrow,                                 // Lh┳1 on LN
		(keycode) KEY_F11,                                        // Lh┳1 on LF
		(keycode) KEY_1_Exclamation,                              // Lh┳1 on LD
	},
	{ // row 3 x col 5
		(keycode) KEY_o_O,                                        // Lh┳0 on LB
		(keycode) KEY_9_LeftParenthesis,                          // Lh┳0 on LP
		(keycode) KEY_Tab,                                        // Lh┳0 on LN
		(keycode) KEY_F20,                                        // Lh┳0 on LF
		(keycode) KEY_0_RightParenthesis,                         // Lh┳0 on LD
	},
	{ // row 3 x col 6
		(keycode) KEY_NULL,                                       // dummy on LB
		(keycode) KEY_NULL,                                       // dummy on LP
		(keycode) KEY_NULL,                                       // dummy on LN
		(keycode) KEY_NULL,                                       // dummy on LF
		(keycode) KEY_NULL,                                       // dummy on LD
	},
	{ // row 3 x col 7
		(keycode) KEY_NULL,                                       // dummy on LB
		(keycode) KEY_NULL,                                       // dummy on LP
		(keycode) KEY_NULL,                                       // dummy on LN
		(keycode) KEY_NULL,                                       // dummy on LF
		(keycode) KEY_NULL,                                       // dummy on LD
	},
	{ // row 3 x col 8
		(keycode) KEY_s_S,                                        // Rh┳0 on LB
		(keycode) KEY_0_RightParenthesis,                         // Rh┳0 on LP
		(keycode) KEY_0_RightParenthesis,                         // Rh┳0 on LN
		(keycode) KEY_F10,                                        // Rh┳0 on LF
		(keycode) KEY_0_RightParenthesis,                         // Rh┳0 on LD
	},
	{ // row 3 x col 9
		(keycode) KEY_n_N,                                        // Rh┳1 on LB
		(keycode) KEY_Dash_Underscore,                            // Rh┳1 on LP
		(keycode) KEY_1_Exclamation,                              // Rh┳1 on LN
		(keycode) KEY_F1,                                         // Rh┳1 on LF
		(keycode) KEY_1_Exclamation,                              // Rh┳1 on LD
	},
	{ // row 3 x col 10
		(keycode) KEY_r_R,                                        // Rh┳2 on LB
		(keycode) KEY_Slash_Question,                             // Rh┳2 on LP
		(keycode) KEY_2_At,                                       // Rh┳2 on LN
		(keycode) KEY_F2,                                         // Rh┳2 on LF
		(keycode) KEY_2_At,                                       // Rh┳2 on LD
	},
	{ // row 3 x col 11
		(keycode) KEY_t_T,                                        // Rh┳3 on LB
		(keycode) KEY_RightBracket_RightBrace,                    // Rh┳3 on LP
		(keycode) KEY_3_Pound,                                    // Rh┳3 on LN
		(keycode) KEY_F3,                                         // Rh┳3 on LF
		(keycode) KEY_3_Pound,                                    // Rh┳3 on LD
	},
	{ // row 3 x col 12
		(keycode) KEY_d_D,                                        // Rh┳4 on LB
		(keycode) KEY_Period_GreaterThan,                         // Rh┳4 on LP
		(keycode) KEY_4_Dollar,                                   // Rh┳4 on LN
		(keycode) KEY_F4,                                         // Rh┳4 on LF
		(keycode) KEY_4_Dollar,                                   // Rh┳4 on LD
	},
	{ // row 3 x col 13
		(keycode) MOD_KEY_RightAlt,                               // Rh┳o on LB
		(keycode) MOD_KEY_RightAlt,                               // Rh┳o on LP
		(keycode) MOD_KEY_RightAlt,                               // Rh┳o on LN
		(keycode) MOD_KEY_RightAlt,                               // Rh┳o on LF
		(keycode) MOD_KEY_RightAlt,                               // Rh┳o on LD
	},
},
{
	{ // row 4 x col 0
		(keycode) KEY_Tab,                                        // Lt┳o on LB
		(keycode) KEY_Tab,                                        // Lt┳o on LP
		(keycode) KEY_Tab,                                        // Lt┳o on LN
		(keycode) KEY_Tab,                                        // Lt┳o on LF
		(keycode) KEY_Tab,                                        // Lt┳o on LD
	},
	{ // row 4 x col 1
		(keycode) KEY_x_X,                                        // Lt┳4 on LB
		(keycode) KEY_GraveAccent_Tilde,                          // Lt┳4 on LP
		(keycode) KEY_Escape,                                     // Lt┳4 on LN
		(keycode) KEY_F24,                                        // Lt┳4 on LF
		(keycode) KEY_8_Asterisk,                                 // Lt┳4 on LD
	},
	{ // row 4 x col 2
		(keycode) KEY_v_V,                                        // Lt┳3 on LB
		(keycode) KEY_LeftBracket_LeftBrace,                      // Lt┳3 on LP
		(keycode) KEY_DeleteBackspace,                            // Lt┳3 on LN
		(keycode) KEY_F23,                                        // Lt┳3 on LF
		(keycode) KEY_7_Ampersand,                                // Lt┳3 on LD
	},
	{ // row 4 x col 3
		(keycode) KEY_l_L,                                        // Lt┳2 on LB
		(keycode) KEY_SingleQuote_DoubleQuote,                    // Lt┳2 on LP
		(keycode) KEY_ReturnEnter,                                // Lt┳2 on LN
		(keycode) KEY_F22,                                        // Lt┳2 on LF
		(keycode) KEY_6_Caret,                                    // Lt┳2 on LD
	},
	{ // row 4 x col 4
		(keycode) KEY_c_C,                                        // Lt┳1 on LB
		(keycode) KEY_Comma_LessThan,                             // Lt┳1 on LP
		(keycode) KEY_DeleteForward,                              // Lt┳1 on LN
		(keycode) KEY_F21,                                        // Lt┳1 on LF
		(keycode) KEY_5_Percent,                                  // Lt┳1 on LD
	},
	{ // row 4 x col 5
		(keycode) KEY_w_W,                                        // Lt┳0 on LB
		(keycode) KEY_Backslash_Pipe,                             // Lt┳0 on LP
		(keycode) KEY_Insert,                                     // Lt┳0 on LN
		(keycode) KEY_F24,                                        // Lt┳0 on LF
		(keycode) KEY_9_LeftParenthesis,                          // Lt┳0 on LD
	},
	{ // row 4 x col 6
		(keycode) KEY_Tab,                                        // Lt┳d on LB
		(keycode) KEY_Tab,                                        // Lt┳d on LP
		(keycode) KEY_Tab,                                        // Lt┳d on LN
		(keycode) KEY_Tab,                                        // Lt┳d on LF
		(keycode) KEY_Tab,                                        // Lt┳d on LD
	},
	{ // row 4 x col 7
		(keycode) KEY_NULL,                                       // Rt┳d on LB
		(keycode) KEY_NULL,                                       // Rt┳d on LP
		(keycode) KEY_NULL,                                       // Rt┳d on LN
		(keycode) KEY_NULL,                                       // Rt┳d on LF
		(keycode) KEY_NULL,                                       // Rt┳d on LD
	},
	{ // row 4 x col 8
		(keycode) KEY_k_K,                                        // Rt┳0 on LB
		(keycode) KEY_Equal_Plus,                                 // Rt┳0 on LP
		(keycode) KEY_9_LeftParenthesis,                          // Rt┳0 on LN
		(keycode) KEY_F24,                                        // Rt┳0 on LF
		(keycode) KEY_9_LeftParenthesis,                          // Rt┳0 on LD
	},
	{ // row 4 x col 9
		(keycode) KEY_h_H,                                        // Rt┳1 on LB
		(keycode) KEY_Period_GreaterThan,                         // Rt┳1 on LP
		(keycode) KEY_5_Percent,                                  // Rt┳1 on LN
		(keycode) KEY_F21,                                        // Rt┳1 on LF
		(keycode) KEY_5_Percent,                                  // Rt┳1 on LD
	},
	{ // row 4 x col 10
		(keycode) KEY_g_G,                                        // Rt┳2 on LB
		(keycode) KEY_SingleQuote_DoubleQuote,                    // Rt┳2 on LP
		(keycode) KEY_6_Caret,                                    // Rt┳2 on LN
		(keycode) KEY_F22,                                        // Rt┳2 on LF
		(keycode) KEY_6_Caret,                                    // Rt┳2 on LD
	},
	{ // row 4 x col 11
		(keycode) KEY_f_F,                                        // Rt┳3 on LB
		(keycode) KEY_RightBracket_RightBrace,                    // Rt┳3 on LP
		(keycode) KEY_7_Ampersand,                                // Rt┳3 on LN
		(keycode) KEY_F23,                                        // Rt┳3 on LF
		(keycode) KEY_7_Ampersand,                                // Rt┳3 on LD
	},
	{ // row 4 x col 12
		(keycode) KEY_q_Q,                                        // Rt┳4 on LB
		(keycode) KEY_GraveAccent_Tilde,                          // Rt┳4 on LP
		(keycode) KEY_8_Asterisk,                                 // Rt┳4 on LN
		(keycode) KEY_F24,                                        // Rt┳4 on LF
		(keycode) KEY_8_Asterisk,                                 // Rt┳4 on LD
	},
	{ // row 4 x col 13
		(keycode) KEY_q_Q,                                        // Rt┳o on LB
		(keycode) KEY_GraveAccent_Tilde,                          // Rt┳o on LP
		(keycode) KEY_8_Asterisk,                                 // Rt┳o on LN
		(keycode) KEY_F24,                                        // Rt┳o on LF
		(keycode) KEY_8_Asterisk,                                 // Rt┳o on LD
	},
},
{
	{ // row 5 x col 0
		(keycode) KEY_0_RightParenthesis,                         // Ln┳o on LB
		(keycode) KEY_F11,                                        // Ln┳o on LP
		(keycode) KEY_F11,                                        // Ln┳o on LN
		(keycode) KEY_F11,                                        // Ln┳o on LF
		(keycode) KEY_0_RightParenthesis,                         // Ln┳o on LD
	},
	{ // row 5 x col 1
		(keycode) KEY_1_Exclamation,                              // Ln┳4 on LB
		(keycode) KEY_F1,                                         // Ln┳4 on LP
		(keycode) KEY_F1,                                         // Ln┳4 on LN
		(keycode) KEY_F1,                                         // Ln┳4 on LF
		(keycode) KEY_1_Exclamation,                              // Ln┳4 on LD
	},
	{ // row 5 x col 2
		(keycode) KEY_2_At,                                       // Ln┳3 on LB
		(keycode) KEY_F2,                                         // Ln┳3 on LP
		(keycode) KEY_F2,                                         // Ln┳3 on LN
		(keycode) KEY_F2,                                         // Ln┳3 on LF
		(keycode) KEY_2_At,                                       // Ln┳3 on LD
	},
	{ // row 5 x col 3
		(keycode) KEY_3_Pound,                                    // Ln┳2 on LB
		(keycode) KEY_F3,                                         // Ln┳2 on LP
		(keycode) KEY_F3,                                         // Ln┳2 on LN
		(keycode) KEY_F3,                                         // Ln┳2 on LF
		(keycode) KEY_3_Pound,                                    // Ln┳2 on LD
	},
	{ // row 5 x col 4
		(keycode) KEY_4_Dollar,                                   // Ln┳1 on LB
		(keycode) KEY_F4,                                         // Ln┳1 on LP
		(keycode) KEY_F4,                                         // Ln┳1 on LN
		(keycode) KEY_F4,                                         // Ln┳1 on LF
		(keycode) KEY_4_Dollar,                                   // Ln┳1 on LD
	},
	{ // row 5 x col 5
		(keycode) KEY_5_Percent,                                  // Ln┳0 on LB
		(keycode) KEY_F5,                                         // Ln┳0 on LP
		(keycode) KEY_F5,                                         // Ln┳0 on LN
		(keycode) KEY_F5,                                         // Ln┳0 on LF
		(keycode) KEY_5_Percent,                                  // Ln┳0 on LD
	},
	{ // row 5 x col 6
		(keycode) KEY_6_Caret,                                    // Ln┳d on LB
		(keycode) KEY_F6,                                         // Ln┳d on LP
		(keycode) KEY_F6,                                         // Ln┳d on LN
		(keycode) KEY_F6,                                         // Ln┳d on LF
		(keycode) KEY_6_Caret,                                    // Ln┳d on LD
	},
	{ // row 5 x col 7
		(keycode) KEY_5_Percent,                                  // Rn┳d on LB
		(keycode) KEY_F5,                                         // Rn┳d on LP
		(keycode) KEY_F5,                                         // Rn┳d on LN
		(keycode) KEY_F5,                                         // Rn┳d on LF
		(keycode) KEY_5_Percent,                                  // Rn┳d on LD
	},
	{ // row 5 x col 8
		(keycode) KEY_6_Caret,                                    // Rn┳0 on LB
		(keycode) KEY_F6,                                         // Rn┳0 on LP
		(keycode) KEY_F6,                                         // Rn┳0 on LN
		(keycode) KEY_F6,                                         // Rn┳0 on LF
		(keycode) KEY_6_Caret,                                    // Rn┳0 on LD
	},
	{ // row 5 x col 9
		(keycode) KEY_7_Ampersand,                                // Rn┳1 on LB
		(keycode) KEY_F7,                                         // Rn┳1 on LP
		(keycode) KEY_F7,                                         // Rn┳1 on LN
		(keycode) KEY_F7,                                         // Rn┳1 on LF
		(keycode) KEY_7_Ampersand,                                // Rn┳1 on LD
	},
	{ // row 5 x col 10
		(keycode) KEY_8_Asterisk,                                 // Rn┳2 on LB
		(keycode) KEY_F8,                                         // Rn┳2 on LP
		(keycode) KEY_F8,                                         // Rn┳2 on LN
		(keycode) KEY_F8,                                         // Rn┳2 on LF
		(keycode) KEY_8_Asterisk,                                 // Rn┳2 on LD
	},
	{ // row 5 x col 11
		(keycode) KEY_9_LeftParenthesis,                          // Rn┳3 on LB
		(keycode) KEY_F9,                                         // Rn┳3 on LP
		(keycode) KEY_F9,                                         // Rn┳3 on LN
		(keycode) KEY_F9,                                         // Rn┳3 on LF
		(keycode) KEY_9_LeftParenthesis,                          // Rn┳3 on LD
	},
	{ // row 5 x col 12
		(keycode) KEY_0_RightParenthesis,                         // Rn┳4 on LB
		(keycode) KEY_F10,                                        // Rn┳4 on LP
		(keycode) KEY_F10,                                        // Rn┳4 on LN
		(keycode) KEY_F10,                                        // Rn┳4 on LF
		(keycode) KEY_0_RightParenthesis,                         // Rn┳4 on LD
	},
	{ // row 5 x col 13
		(keycode) KEY_0_RightParenthesis,                         // Rn┳o on LB
		(keycode) KEY_F12,                                        // Rn┳o on LP
		(keycode) KEY_F12,                                        // Rn┳o on LN
		(keycode) KEY_F12,                                        // Rn┳o on LF
		(keycode) KEY_0_RightParenthesis,                         // Rn┳o on LD
	},
},
};
static const keyfunc	PROGMEM _kb_layout_func[KB_ROWS][KB_COLUMNS][KB_LAYERS]	= {
{
	{ // row 0 x col 0
		(keyfunc) &kbfun_normal_press_release,                    // dummy on LB
		(keyfunc) &kbfun_normal_press_release,                    // dummy on LP
		(keyfunc) &kbfun_normal_press_release,                    // dummy on LN
		(keyfunc) &kbfun_normal_press_release,                    // dummy on LF
		(keyfunc) &kbfun_normal_press_release,                    // dummy on LD
	},
	{ // row 0 x col 1
		(keyfunc) &kbfun_modifier_sticky,                         // Lx┳c on LB
		(keyfunc) &kbfun_modifier_sticky,                         // Lx┳c on LP
		(keyfunc) &kbfun_modifier_sticky,                         // Lx┳c on LN
		(keyfunc) &kbfun_modifier_sticky,                         // Lx┳c on LF
		(keyfunc) &kbfun_modifier_sticky,                         // Lx┳c on LD
	},
	{ // row 0 x col 2
		(keyfunc) &kbfun_modifier_sticky,                         // Lx┳b on LB
		(keyfunc) &kbfun_modifier_sticky,                         // Lx┳b on LP
		(keyfunc) &kbfun_modifier_sticky,                         // Lx┳b on LN
		(keyfunc) &kbfun_modifier_sticky,                         // Lx┳b on LF
		(keyfunc) &kbfun_modifier_sticky,                         // Lx┳b on LD
	},
	{ // row 0 x col 3
		(keyfunc) &kbfun_normal_press_release,                    // Lx┳a on LB
		(keyfunc) &kbfun_normal_press_release,                    // Lx┳a on LP
		(keyfunc) &kbfun_normal_press_release,                    // Lx┳a on LN
		(keyfunc) &kbfun_normal_press_release,                    // Lx┳a on LF
		(keyfunc) &kbfun_normal_press_release,                    // Lx┳a on LD
	},
	{ // row 0 x col 4
		(keyfunc) &kbfun_modifier_press_release,                  // Ly┳c on LB
		(keyfunc) &kbfun_modifier_press_release,                  // Ly┳c on LP
		(keyfunc) &kbfun_modifier_press_release,                  // Ly┳c on LN
		(keyfunc) &kbfun_modifier_press_release,                  // Ly┳c on LF
		(keyfunc) &kbfun_modifier_press_release,                  // Ly┳c on LD
	},
	{ // row 0 x col 5
		(keyfunc) &kbfun_normal_press_release,                    // Lz┳b on LB
		(keyfunc) &kbfun_normal_press_release,                    // Lz┳b on LP
		(keyfunc) &kbfun_normal_press_release,                    // Lz┳b on LN
		(keyfunc) &kbfun_normal_press_release,                    // Lz┳b on LF
		(keyfunc) &kbfun_normal_press_release,                    // Lz┳b on LD
	},
	{ // row 0 x col 6
		(keyfunc) &kbfun_layer_press_release,                     // Lz┳c on LB
		(keyfunc) &kbfun_layer_press_release,                     // Lz┳c on LP
		(keyfunc) &kbfun_layer_press_release,                     // Lz┳c on LN
		(keyfunc) &kbfun_layer_press_release,                     // Lz┳c on LF
		(keyfunc) &kbfun_layer_press_release,                     // Lz┳c on LD
	},
	{ // row 0 x col 7
		(keyfunc) &kbfun_layer_press_release,                     // Rz┳c on LB
		(keyfunc) &kbfun_layer_press_release,                     // Rz┳c on LP
		(keyfunc) &kbfun_layer_press_release,                     // Rz┳c on LN
		(keyfunc) &kbfun_layer_press_release,                     // Rz┳c on LF
		(keyfunc) &kbfun_layer_press_release,                     // Rz┳c on LD
	},
	{ // row 0 x col 8
		(keyfunc) &kbfun_control_layer_press_release,             // Rz┳b on LB
		(keyfunc) &kbfun_control_layer_press_release,             // Rz┳b on LP
		(keyfunc) &kbfun_control_layer_press_release,             // Rz┳b on LN
		(keyfunc) &kbfun_control_layer_press_release,             // Rz┳b on LF
		(keyfunc) &kbfun_control_layer_press_release,             // Rz┳b on LD
	},
	{ // row 0 x col 9
		(keyfunc) &kbfun_normal_press_release,                    // Ry┳c on LB
		(keyfunc) &kbfun_normal_press_release,                    // Ry┳c on LP
		(keyfunc) &kbfun_normal_press_release,                    // Ry┳c on LN
		(keyfunc) &kbfun_normal_press_release,                    // Ry┳c on LF
		(keyfunc) &kbfun_normal_press_release,                    // Ry┳c on LD
	},
	{ // row 0 x col 10
		(keyfunc) &kbfun_layer_sticky,                            // Rx┳a on LB
		(keyfunc) &kbfun_layer_sticky,                            // Rx┳a on LP
		(keyfunc) &kbfun_layer_sticky,                            // Rx┳a on LN
		(keyfunc) &kbfun_layer_sticky,                            // Rx┳a on LF
		(keyfunc) &kbfun_layer_sticky,                            // Rx┳a on LD
	},
	{ // row 0 x col 11
		(keyfunc) &kbfun_layer_press_release,                     // Rx┳b on LB
		(keyfunc) &kbfun_layer_press_release,                     // Rx┳b on LP
		(keyfunc) &kbfun_layer_press_release,                     // Rx┳b on LN
		(keyfunc) &kbfun_layer_press_release,                     // Rx┳b on LF
		(keyfunc) &kbfun_layer_press_release,                     // Rx┳b on LD
	},
	{ // row 0 x col 12
		(keyfunc) &kbfun_normal_press_release,                    // Rx┳c on LB
		(keyfunc) &kbfun_normal_press_release,                    // Rx┳c on LP
		(keyfunc) &kbfun_normal_press_release,                    // Rx┳c on LN
		(keyfunc) &kbfun_normal_press_release,                    // Rx┳c on LF
		(keyfunc) &kbfun_normal_press_release,                    // Rx┳c on LD
	},
	{ // row 0 x col 13
		(keyfunc) &kbfun_normal_press_release,                    // dummy on LB
		(keyfunc) &kbfun_normal_press_release,                    // dummy on LP
		(keyfunc) &kbfun_normal_press_release,                    // dummy on LN
		(keyfunc) &kbfun_normal_press_release,                    // dummy on LF
		(keyfunc) &kbfun_normal_press_release,                    // dummy on LD
	},
},
{
	{ // row 1 x col 0
		(keyfunc) &kbfun_normal_press_release,                    // Lu┳o on LB
		(keyfunc) &kbfun_normal_press_release,                    // Lu┳o on LP
		(keyfunc) &kbfun_normal_press_release,                    // Lu┳o on LN
		(keyfunc) &kbfun_normal_press_release,                    // Lu┳o on LF
		(keyfunc) &kbfun_normal_press_release,                    // Lu┳o on LD
	},
	{ // row 1 x col 1
		(keyfunc) &kbfun_normal_press_release,                    // Lu┳4 on LB
		(keyfunc) &kbfun_normal_press_release,                    // Lu┳4 on LP
		(keyfunc) &kbfun_normal_press_release,                    // Lu┳4 on LN
		(keyfunc) &kbfun_normal_press_release,                    // Lu┳4 on LF
		(keyfunc) &kbfun_normal_press_release,                    // Lu┳4 on LD
	},
	{ // row 1 x col 2
		(keyfunc) &kbfun_normal_press_release,                    // Lu┳3 on LB
		(keyfunc) &kbfun_normal_press_release,                    // Lu┳3 on LP
		(keyfunc) &kbfun_normal_press_release,                    // Lu┳3 on LN
		(keyfunc) &kbfun_normal_press_release,                    // Lu┳3 on LF
		(keyfunc) &kbfun_normal_press_release,                    // Lu┳3 on LD
	},
	{ // row 1 x col 3
		(keyfunc) &kbfun_normal_press_release,                    // Lu┳2 on LB
		(keyfunc) &kbfun_normal_press_release,                    // Lu┳2 on LP
		(keyfunc) &kbfun_normal_press_release,                    // Lu┳2 on LN
		(keyfunc) &kbfun_normal_press_release,                    // Lu┳2 on LF
		(keyfunc) &kbfun_normal_press_release,                    // Lu┳2 on LD
	},
	{ // row 1 x col 4
		(keyfunc) &kbfun_modifier_press_release,                  // Lu┳1 on LB
		(keyfunc) &kbfun_modifier_press_release,                  // Lu┳1 on LP
		(keyfunc) &kbfun_modifier_press_release,                  // Lu┳1 on LN
		(keyfunc) &kbfun_modifier_press_release,                  // Lu┳1 on LF
		(keyfunc) &kbfun_modifier_press_release,                  // Lu┳1 on LD
	},
	{ // row 1 x col 5
		(keyfunc) &kbfun_normal_press_release,                    // Ly┳a on LB
		(keyfunc) &kbfun_normal_press_release,                    // Ly┳a on LP
		(keyfunc) &kbfun_normal_press_release,                    // Ly┳a on LN
		(keyfunc) &kbfun_normal_press_release,                    // Ly┳a on LF
		(keyfunc) &kbfun_normal_press_release,                    // Ly┳a on LD
	},
	{ // row 1 x col 6
		(keyfunc) &kbfun_modifier_press_release,                  // Ly┳b on LB
		(keyfunc) &kbfun_modifier_press_release,                  // Ly┳b on LP
		(keyfunc) &kbfun_modifier_press_release,                  // Ly┳b on LN
		(keyfunc) &kbfun_modifier_press_release,                  // Ly┳b on LF
		(keyfunc) &kbfun_modifier_press_release,                  // Ly┳b on LD
	},
	{ // row 1 x col 7
		(keyfunc) &kbfun_layer_press_release,                     // Ry┳b on LB
		(keyfunc) &kbfun_layer_press_release,                     // Ry┳b on LP
		(keyfunc) &kbfun_layer_press_release,                     // Ry┳b on LN
		(keyfunc) &kbfun_layer_press_release,                     // Ry┳b on LF
		(keyfunc) &kbfun_layer_press_release,                     // Ry┳b on LD
	},
	{ // row 1 x col 8
		(keyfunc) &kbfun_layer_sticky,                            // Ry┳a on LB
		(keyfunc) &kbfun_layer_sticky,                            // Ry┳a on LP
		(keyfunc) &kbfun_layer_sticky,                            // Ry┳a on LN
		(keyfunc) &kbfun_layer_sticky,                            // Ry┳a on LF
		(keyfunc) &kbfun_layer_sticky,                            // Ry┳a on LD
	},
	{ // row 1 x col 9
		(keyfunc) &kbfun_layer_press_release,                     // Ru┳1 on LB
		(keyfunc) &kbfun_layer_press_release,                     // Ru┳1 on LP
		(keyfunc) &kbfun_layer_press_release,                     // Ru┳1 on LN
		(keyfunc) &kbfun_layer_press_release,                     // Ru┳1 on LF
		(keyfunc) &kbfun_layer_press_release,                     // Ru┳1 on LD
	},
	{ // row 1 x col 10
		(keyfunc) &kbfun_normal_press_release,                    // Ru┳2 on LB
		(keyfunc) &kbfun_normal_press_release,                    // Ru┳2 on LP
		(keyfunc) &kbfun_normal_press_release,                    // Ru┳2 on LN
		(keyfunc) &kbfun_normal_press_release,                    // Ru┳2 on LF
		(keyfunc) &kbfun_normal_press_release,                    // Ru┳2 on LD
	},
	{ // row 1 x col 11
		(keyfunc) &kbfun_normal_press_release,                    // Ru┳3 on LB
		(keyfunc) &kbfun_normal_press_release,                    // Ru┳3 on LP
		(keyfunc) &kbfun_normal_press_release,                    // Ru┳3 on LN
		(keyfunc) &kbfun_normal_press_release,                    // Ru┳3 on LF
		(keyfunc) &kbfun_normal_press_release,                    // Ru┳3 on LD
	},
	{ // row 1 x col 12
		(keyfunc) &kbfun_normal_press_release,                    // Ru┳4 on LB
		(keyfunc) &kbfun_normal_press_release,                    // Ru┳4 on LP
		(keyfunc) &kbfun_normal_press_release,                    // Ru┳4 on LN
		(keyfunc) &kbfun_normal_press_release,                    // Ru┳4 on LF
		(keyfunc) &kbfun_normal_press_release,                    // Ru┳4 on LD
	},
	{ // row 1 x col 13
		(keyfunc) &kbfun_normal_press_release,                    // Ru┳o on LB
		(keyfunc) &kbfun_normal_press_release,                    // Ru┳o on LP
		(keyfunc) &kbfun_normal_press_release,                    // Ru┳o on LN
		(keyfunc) &kbfun_normal_press_release,                    // Ru┳o on LF
		(keyfunc) &kbfun_normal_press_release,                    // Ru┳o on LD
	},
},
{
	{ // row 2 x col 0
		(keyfunc) &kbfun_capslock_press_release,                  // Lb┳o on LB
		(keyfunc) &kbfun_capslock_press_release,                  // Lb┳o on LP
		(keyfunc) &kbfun_capslock_press_release,                  // Lb┳o on LN
		(keyfunc) &kbfun_capslock_press_release,                  // Lb┳o on LF
		(keyfunc) &kbfun_capslock_press_release,                  // Lb┳o on LD
	},
	{ // row 2 x col 1
		(keyfunc) &kbfun_shift_press_release_once,                // Lb┳4 on LB
		(keyfunc) &kbfun_normal_press_release,                    // Lb┳4 on LP
		(keyfunc) &kbfun_normal_press_release,                    // Lb┳4 on LN
		(keyfunc) &kbfun_normal_press_release,                    // Lb┳4 on LF
		(keyfunc) &kbfun_normal_press_release,                    // Lb┳4 on LD
	},
	{ // row 2 x col 2
		(keyfunc) &kbfun_shift_press_release_once,                // Lb┳3 on LB
		(keyfunc) &kbfun_shift_press_release_once,                // Lb┳3 on LP
		(keyfunc) &kbfun_normal_press_release,                    // Lb┳3 on LN
		(keyfunc) &kbfun_normal_press_release,                    // Lb┳3 on LF
		(keyfunc) &kbfun_normal_press_release,                    // Lb┳3 on LD
	},
	{ // row 2 x col 3
		(keyfunc) &kbfun_shift_press_release_once,                // Lb┳2 on LB
		(keyfunc) &kbfun_shift_press_release_once,                // Lb┳2 on LP
		(keyfunc) &kbfun_normal_press_release,                    // Lb┳2 on LN
		(keyfunc) &kbfun_normal_press_release,                    // Lb┳2 on LF
		(keyfunc) &kbfun_normal_press_release,                    // Lb┳2 on LD
	},
	{ // row 2 x col 4
		(keyfunc) &kbfun_normal_press_release,                    // Lb┳1 on LB
		(keyfunc) &kbfun_normal_press_release,                    // Lb┳1 on LP
		(keyfunc) &kbfun_normal_press_release,                    // Lb┳1 on LN
		(keyfunc) &kbfun_normal_press_release,                    // Lb┳1 on LF
		(keyfunc) &kbfun_normal_press_release,                    // Lb┳1 on LD
	},
	{ // row 2 x col 5
		(keyfunc) &kbfun_normal_press_release,                    // Lb┳0 on LB
		(keyfunc) &kbfun_shift_press_release_once,                // Lb┳0 on LP
		(keyfunc) &kbfun_normal_press_release,                    // Lb┳0 on LN
		(keyfunc) &kbfun_normal_press_release,                    // Lb┳0 on LF
		(keyfunc) &kbfun_normal_press_release,                    // Lb┳0 on LD
	},
	{ // row 2 x col 6
		(keyfunc) &kbfun_normal_press_release,                    // Lb┳d on LB
		(keyfunc) &kbfun_normal_press_release,                    // Lb┳d on LP
		(keyfunc) &kbfun_normal_press_release,                    // Lb┳d on LN
		(keyfunc) &kbfun_normal_press_release,                    // Lb┳d on LF
		(keyfunc) &kbfun_normal_press_release,                    // Lb┳d on LD
	},
	{ // row 2 x col 7
		(keyfunc) &kbfun_normal_press_release,                    // Rb┳d on LB
		(keyfunc) &kbfun_normal_press_release,                    // Rb┳d on LP
		(keyfunc) &kbfun_normal_press_release,                    // Rb┳d on LN
		(keyfunc) &kbfun_normal_press_release,                    // Rb┳d on LF
		(keyfunc) &kbfun_normal_press_release,                    // Rb┳d on LD
	},
	{ // row 2 x col 8
		(keyfunc) &kbfun_normal_press_release,                    // Rb┳0 on LB
		(keyfunc) &kbfun_shift_press_release_once,                // Rb┳0 on LP
		(keyfunc) &kbfun_normal_press_release,                    // Rb┳0 on LN
		(keyfunc) &kbfun_normal_press_release,                    // Rb┳0 on LF
		(keyfunc) &kbfun_normal_press_release,                    // Rb┳0 on LD
	},
	{ // row 2 x col 9
		(keyfunc) &kbfun_normal_press_release,                    // Rb┳1 on LB
		(keyfunc) &kbfun_shift_press_release_once,                // Rb┳1 on LP
		(keyfunc) &kbfun_normal_press_release,                    // Rb┳1 on LN
		(keyfunc) &kbfun_normal_press_release,                    // Rb┳1 on LF
		(keyfunc) &kbfun_normal_press_release,                    // Rb┳1 on LD
	},
	{ // row 2 x col 10
		(keyfunc) &kbfun_normal_press_release,                    // Rb┳2 on LB
		(keyfunc) &kbfun_shift_press_release_once,                // Rb┳2 on LP
		(keyfunc) &kbfun_normal_press_release,                    // Rb┳2 on LN
		(keyfunc) &kbfun_normal_press_release,                    // Rb┳2 on LF
		(keyfunc) &kbfun_normal_press_release,                    // Rb┳2 on LD
	},
	{ // row 2 x col 11
		(keyfunc) &kbfun_normal_press_release,                    // Rb┳3 on LB
		(keyfunc) &kbfun_shift_press_release_once,                // Rb┳3 on LP
		(keyfunc) &kbfun_normal_press_release,                    // Rb┳3 on LN
		(keyfunc) &kbfun_normal_press_release,                    // Rb┳3 on LF
		(keyfunc) &kbfun_normal_press_release,                    // Rb┳3 on LD
	},
	{ // row 2 x col 12
		(keyfunc) &kbfun_normal_press_release,                    // Rb┳4 on LB
		(keyfunc) &kbfun_shift_press_release_once,                // Rb┳4 on LP
		(keyfunc) &kbfun_normal_press_release,                    // Rb┳4 on LN
		(keyfunc) &kbfun_normal_press_release,                    // Rb┳4 on LF
		(keyfunc) &kbfun_normal_press_release,                    // Rb┳4 on LD
	},
	{ // row 2 x col 13
		(keyfunc) &kbfun_capslock_press_release,                  // Rb┳o on LB
		(keyfunc) &kbfun_capslock_press_release,                  // Rb┳o on LP
		(keyfunc) &kbfun_capslock_press_release,                  // Rb┳o on LN
		(keyfunc) &kbfun_capslock_press_release,                  // Rb┳o on LF
		(keyfunc) &kbfun_capslock_press_release,                  // Rb┳o on LD
	},
},
{
	{ // row 3 x col 0
		(keyfunc) &kbfun_modifier_sticky,                         // Lh┳o on LB
		(keyfunc) &kbfun_modifier_sticky,                         // Lh┳o on LP
		(keyfunc) &kbfun_modifier_sticky,                         // Lh┳o on LN
		(keyfunc) &kbfun_modifier_sticky,                         // Lh┳o on LF
		(keyfunc) &kbfun_modifier_sticky,                         // Lh┳o on LD
	},
	{ // row 3 x col 1
		(keyfunc) &kbfun_normal_press_release,                    // Lh┳4 on LB
		(keyfunc) &kbfun_normal_press_release,                    // Lh┳4 on LP
		(keyfunc) &kbfun_normal_press_release,                    // Lh┳4 on LN
		(keyfunc) &kbfun_normal_press_release,                    // Lh┳4 on LF
		(keyfunc) &kbfun_normal_press_release,                    // Lh┳4 on LD
	},
	{ // row 3 x col 2
		(keyfunc) &kbfun_normal_press_release,                    // Lh┳3 on LB
		(keyfunc) &kbfun_shift_press_release_once,                // Lh┳3 on LP
		(keyfunc) &kbfun_normal_press_release,                    // Lh┳3 on LN
		(keyfunc) &kbfun_normal_press_release,                    // Lh┳3 on LF
		(keyfunc) &kbfun_normal_press_release,                    // Lh┳3 on LD
	},
	{ // row 3 x col 3
		(keyfunc) &kbfun_normal_press_release,                    // Lh┳2 on LB
		(keyfunc) &kbfun_shift_press_release_once,                // Lh┳2 on LP
		(keyfunc) &kbfun_normal_press_release,                    // Lh┳2 on LN
		(keyfunc) &kbfun_normal_press_release,                    // Lh┳2 on LF
		(keyfunc) &kbfun_normal_press_release,                    // Lh┳2 on LD
	},
	{ // row 3 x col 4
		(keyfunc) &kbfun_normal_press_release,                    // Lh┳1 on LB
		(keyfunc) &kbfun_shift_press_release_once,                // Lh┳1 on LP
		(keyfunc) &kbfun_normal_press_release,                    // Lh┳1 on LN
		(keyfunc) &kbfun_normal_press_release,                    // Lh┳1 on LF
		(keyfunc) &kbfun_normal_press_release,                    // Lh┳1 on LD
	},
	{ // row 3 x col 5
		(keyfunc) &kbfun_normal_press_release,                    // Lh┳0 on LB
		(keyfunc) &kbfun_shift_press_release_once,                // Lh┳0 on LP
		(keyfunc) &kbfun_normal_press_release,                    // Lh┳0 on LN
		(keyfunc) &kbfun_normal_press_release,                    // Lh┳0 on LF
		(keyfunc) &kbfun_normal_press_release,                    // Lh┳0 on LD
	},
	{ // row 3 x col 6
		(keyfunc) &kbfun_normal_press_release,                    // dummy on LB
		(keyfunc) &kbfun_normal_press_release,                    // dummy on LP
		(keyfunc) &kbfun_normal_press_release,                    // dummy on LN
		(keyfunc) &kbfun_normal_press_release,                    // dummy on LF
		(keyfunc) &kbfun_normal_press_release,                    // dummy on LD
	},
	{ // row 3 x col 7
		(keyfunc) &kbfun_normal_press_release,                    // dummy on LB
		(keyfunc) &kbfun_normal_press_release,                    // dummy on LP
		(keyfunc) &kbfun_normal_press_release,                    // dummy on LN
		(keyfunc) &kbfun_normal_press_release,                    // dummy on LF
		(keyfunc) &kbfun_normal_press_release,                    // dummy on LD
	},
	{ // row 3 x col 8
		(keyfunc) &kbfun_normal_press_release,                    // Rh┳0 on LB
		(keyfunc) &kbfun_shift_press_release_once,                // Rh┳0 on LP
		(keyfunc) &kbfun_normal_press_release,                    // Rh┳0 on LN
		(keyfunc) &kbfun_normal_press_release,                    // Rh┳0 on LF
		(keyfunc) &kbfun_normal_press_release,                    // Rh┳0 on LD
	},
	{ // row 3 x col 9
		(keyfunc) &kbfun_normal_press_release,                    // Rh┳1 on LB
		(keyfunc) &kbfun_shift_press_release_once,                // Rh┳1 on LP
		(keyfunc) &kbfun_normal_press_release,                    // Rh┳1 on LN
		(keyfunc) &kbfun_normal_press_release,                    // Rh┳1 on LF
		(keyfunc) &kbfun_normal_press_release,                    // Rh┳1 on LD
	},
	{ // row 3 x col 10
		(keyfunc) &kbfun_normal_press_release,                    // Rh┳2 on LB
		(keyfunc) &kbfun_normal_press_release,                    // Rh┳2 on LP
		(keyfunc) &kbfun_normal_press_release,                    // Rh┳2 on LN
		(keyfunc) &kbfun_normal_press_release,                    // Rh┳2 on LF
		(keyfunc) &kbfun_normal_press_release,                    // Rh┳2 on LD
	},
	{ // row 3 x col 11
		(keyfunc) &kbfun_normal_press_release,                    // Rh┳3 on LB
		(keyfunc) &kbfun_shift_press_release_once,                // Rh┳3 on LP
		(keyfunc) &kbfun_normal_press_release,                    // Rh┳3 on LN
		(keyfunc) &kbfun_normal_press_release,                    // Rh┳3 on LF
		(keyfunc) &kbfun_normal_press_release,                    // Rh┳3 on LD
	},
	{ // row 3 x col 12
		(keyfunc) &kbfun_normal_press_release,                    // Rh┳4 on LB
		(keyfunc) &kbfun_normal_press_release,                    // Rh┳4 on LP
		(keyfunc) &kbfun_normal_press_release,                    // Rh┳4 on LN
		(keyfunc) &kbfun_normal_press_release,                    // Rh┳4 on LF
		(keyfunc) &kbfun_normal_press_release,                    // Rh┳4 on LD
	},
	{ // row 3 x col 13
		(keyfunc) &kbfun_modifier_sticky,                         // Rh┳o on LB
		(keyfunc) &kbfun_modifier_sticky,                         // Rh┳o on LP
		(keyfunc) &kbfun_modifier_sticky,                         // Rh┳o on LN
		(keyfunc) &kbfun_modifier_sticky,                         // Rh┳o on LF
		(keyfunc) &kbfun_modifier_sticky,                         // Rh┳o on LD
	},
},
{
	{ // row 4 x col 0
		(keyfunc) &kbfun_normal_press_release,                    // Lt┳o on LB
		(keyfunc) &kbfun_normal_press_release,                    // Lt┳o on LP
		(keyfunc) &kbfun_normal_press_release,                    // Lt┳o on LN
		(keyfunc) &kbfun_normal_press_release,                    // Lt┳o on LF
		(keyfunc) &kbfun_normal_press_release,                    // Lt┳o on LD
	},
	{ // row 4 x col 1
		(keyfunc) &kbfun_normal_press_release,                    // Lt┳4 on LB
		(keyfunc) &kbfun_shift_press_release_once,                // Lt┳4 on LP
		(keyfunc) &kbfun_normal_press_release,                    // Lt┳4 on LN
		(keyfunc) &kbfun_normal_press_release,                    // Lt┳4 on LF
		(keyfunc) &kbfun_normal_press_release,                    // Lt┳4 on LD
	},
	{ // row 4 x col 2
		(keyfunc) &kbfun_normal_press_release,                    // Lt┳3 on LB
		(keyfunc) &kbfun_normal_press_release,                    // Lt┳3 on LP
		(keyfunc) &kbfun_normal_press_release,                    // Lt┳3 on LN
		(keyfunc) &kbfun_normal_press_release,                    // Lt┳3 on LF
		(keyfunc) &kbfun_normal_press_release,                    // Lt┳3 on LD
	},
	{ // row 4 x col 3
		(keyfunc) &kbfun_normal_press_release,                    // Lt┳2 on LB
		(keyfunc) &kbfun_normal_press_release,                    // Lt┳2 on LP
		(keyfunc) &kbfun_normal_press_release,                    // Lt┳2 on LN
		(keyfunc) &kbfun_normal_press_release,                    // Lt┳2 on LF
		(keyfunc) &kbfun_normal_press_release,                    // Lt┳2 on LD
	},
	{ // row 4 x col 4
		(keyfunc) &kbfun_normal_press_release,                    // Lt┳1 on LB
		(keyfunc) &kbfun_shift_press_release_once,                // Lt┳1 on LP
		(keyfunc) &kbfun_normal_press_release,                    // Lt┳1 on LN
		(keyfunc) &kbfun_normal_press_release,                    // Lt┳1 on LF
		(keyfunc) &kbfun_normal_press_release,                    // Lt┳1 on LD
	},
	{ // row 4 x col 5
		(keyfunc) &kbfun_normal_press_release,                    // Lt┳0 on LB
		(keyfunc) &kbfun_normal_press_release,                    // Lt┳0 on LP
		(keyfunc) &kbfun_normal_press_release,                    // Lt┳0 on LN
		(keyfunc) &kbfun_normal_press_release,                    // Lt┳0 on LF
		(keyfunc) &kbfun_normal_press_release,                    // Lt┳0 on LD
	},
	{ // row 4 x col 6
		(keyfunc) &kbfun_normal_press_release,                    // Lt┳d on LB
		(keyfunc) &kbfun_normal_press_release,                    // Lt┳d on LP
		(keyfunc) &kbfun_normal_press_release,                    // Lt┳d on LN
		(keyfunc) &kbfun_normal_press_release,                    // Lt┳d on LF
		(keyfunc) &kbfun_normal_press_release,                    // Lt┳d on LD
	},
	{ // row 4 x col 7
		(keyfunc) &kbfun_normal_press_release,                    // Rt┳d on LB
		(keyfunc) &kbfun_normal_press_release,                    // Rt┳d on LP
		(keyfunc) &kbfun_normal_press_release,                    // Rt┳d on LN
		(keyfunc) &kbfun_normal_press_release,                    // Rt┳d on LF
		(keyfunc) &kbfun_normal_press_release,                    // Rt┳d on LD
	},
	{ // row 4 x col 8
		(keyfunc) &kbfun_normal_press_release,                    // Rt┳0 on LB
		(keyfunc) &kbfun_normal_press_release,                    // Rt┳0 on LP
		(keyfunc) &kbfun_normal_press_release,                    // Rt┳0 on LN
		(keyfunc) &kbfun_normal_press_release,                    // Rt┳0 on LF
		(keyfunc) &kbfun_normal_press_release,                    // Rt┳0 on LD
	},
	{ // row 4 x col 9
		(keyfunc) &kbfun_normal_press_release,                    // Rt┳1 on LB
		(keyfunc) &kbfun_shift_press_release_once,                // Rt┳1 on LP
		(keyfunc) &kbfun_normal_press_release,                    // Rt┳1 on LN
		(keyfunc) &kbfun_normal_press_release,                    // Rt┳1 on LF
		(keyfunc) &kbfun_normal_press_release,                    // Rt┳1 on LD
	},
	{ // row 4 x col 10
		(keyfunc) &kbfun_normal_press_release,                    // Rt┳2 on LB
		(keyfunc) &kbfun_shift_press_release_once,                // Rt┳2 on LP
		(keyfunc) &kbfun_normal_press_release,                    // Rt┳2 on LN
		(keyfunc) &kbfun_normal_press_release,                    // Rt┳2 on LF
		(keyfunc) &kbfun_normal_press_release,                    // Rt┳2 on LD
	},
	{ // row 4 x col 11
		(keyfunc) &kbfun_normal_press_release,                    // Rt┳3 on LB
		(keyfunc) &kbfun_normal_press_release,                    // Rt┳3 on LP
		(keyfunc) &kbfun_normal_press_release,                    // Rt┳3 on LN
		(keyfunc) &kbfun_normal_press_release,                    // Rt┳3 on LF
		(keyfunc) &kbfun_normal_press_release,                    // Rt┳3 on LD
	},
	{ // row 4 x col 12
		(keyfunc) &kbfun_normal_press_release,                    // Rt┳4 on LB
		(keyfunc) &kbfun_normal_press_release,                    // Rt┳4 on LP
		(keyfunc) &kbfun_normal_press_release,                    // Rt┳4 on LN
		(keyfunc) &kbfun_normal_press_release,                    // Rt┳4 on LF
		(keyfunc) &kbfun_normal_press_release,                    // Rt┳4 on LD
	},
	{ // row 4 x col 13
		(keyfunc) &kbfun_normal_press_release,                    // Rt┳o on LB
		(keyfunc) &kbfun_normal_press_release,                    // Rt┳o on LP
		(keyfunc) &kbfun_normal_press_release,                    // Rt┳o on LN
		(keyfunc) &kbfun_normal_press_release,                    // Rt┳o on LF
		(keyfunc) &kbfun_normal_press_release,                    // Rt┳o on LD
	},
},
{
	{ // row 5 x col 0
		(keyfunc) &kbfun_normal_press_release,                    // Ln┳o on LB
		(keyfunc) &kbfun_normal_press_release,                    // Ln┳o on LP
		(keyfunc) &kbfun_normal_press_release,                    // Ln┳o on LN
		(keyfunc) &kbfun_normal_press_release,                    // Ln┳o on LF
		(keyfunc) &kbfun_normal_press_release,                    // Ln┳o on LD
	},
	{ // row 5 x col 1
		(keyfunc) &kbfun_normal_press_release,                    // Ln┳4 on LB
		(keyfunc) &kbfun_normal_press_release,                    // Ln┳4 on LP
		(keyfunc) &kbfun_normal_press_release,                    // Ln┳4 on LN
		(keyfunc) &kbfun_normal_press_release,                    // Ln┳4 on LF
		(keyfunc) &kbfun_normal_press_release,                    // Ln┳4 on LD
	},
	{ // row 5 x col 2
		(keyfunc) &kbfun_normal_press_release,                    // Ln┳3 on LB
		(keyfunc) &kbfun_normal_press_release,                    // Ln┳3 on LP
		(keyfunc) &kbfun_normal_press_release,                    // Ln┳3 on LN
		(keyfunc) &kbfun_normal_press_release,                    // Ln┳3 on LF
		(keyfunc) &kbfun_normal_press_release,                    // Ln┳3 on LD
	},
	{ // row 5 x col 3
		(keyfunc) &kbfun_normal_press_release,                    // Ln┳2 on LB
		(keyfunc) &kbfun_normal_press_release,                    // Ln┳2 on LP
		(keyfunc) &kbfun_normal_press_release,                    // Ln┳2 on LN
		(keyfunc) &kbfun_normal_press_release,                    // Ln┳2 on LF
		(keyfunc) &kbfun_normal_press_release,                    // Ln┳2 on LD
	},
	{ // row 5 x col 4
		(keyfunc) &kbfun_normal_press_release,                    // Ln┳1 on LB
		(keyfunc) &kbfun_normal_press_release,                    // Ln┳1 on LP
		(keyfunc) &kbfun_normal_press_release,                    // Ln┳1 on LN
		(keyfunc) &kbfun_normal_press_release,                    // Ln┳1 on LF
		(keyfunc) &kbfun_normal_press_release,                    // Ln┳1 on LD
	},
	{ // row 5 x col 5
		(keyfunc) &kbfun_normal_press_release,                    // Ln┳0 on LB
		(keyfunc) &kbfun_normal_press_release,                    // Ln┳0 on LP
		(keyfunc) &kbfun_normal_press_release,                    // Ln┳0 on LN
		(keyfunc) &kbfun_normal_press_release,                    // Ln┳0 on LF
		(keyfunc) &kbfun_normal_press_release,                    // Ln┳0 on LD
	},
	{ // row 5 x col 6
		(keyfunc) &kbfun_normal_press_release,                    // Ln┳d on LB
		(keyfunc) &kbfun_normal_press_release,                    // Ln┳d on LP
		(keyfunc) &kbfun_normal_press_release,                    // Ln┳d on LN
		(keyfunc) &kbfun_normal_press_release,                    // Ln┳d on LF
		(keyfunc) &kbfun_normal_press_release,                    // Ln┳d on LD
	},
	{ // row 5 x col 7
		(keyfunc) &kbfun_normal_press_release,                    // Rn┳d on LB
		(keyfunc) &kbfun_normal_press_release,                    // Rn┳d on LP
		(keyfunc) &kbfun_normal_press_release,                    // Rn┳d on LN
		(keyfunc) &kbfun_normal_press_release,                    // Rn┳d on LF
		(keyfunc) &kbfun_normal_press_release,                    // Rn┳d on LD
	},
	{ // row 5 x col 8
		(keyfunc) &kbfun_normal_press_release,                    // Rn┳0 on LB
		(keyfunc) &kbfun_normal_press_release,                    // Rn┳0 on LP
		(keyfunc) &kbfun_normal_press_release,                    // Rn┳0 on LN
		(keyfunc) &kbfun_normal_press_release,                    // Rn┳0 on LF
		(keyfunc) &kbfun_normal_press_release,                    // Rn┳0 on LD
	},
	{ // row 5 x col 9
		(keyfunc) &kbfun_normal_press_release,                    // Rn┳1 on LB
		(keyfunc) &kbfun_normal_press_release,                    // Rn┳1 on LP
		(keyfunc) &kbfun_normal_press_release,                    // Rn┳1 on LN
		(keyfunc) &kbfun_normal_press_release,                    // Rn┳1 on LF
		(keyfunc) &kbfun_normal_press_release,                    // Rn┳1 on LD
	},
	{ // row 5 x col 10
		(keyfunc) &kbfun_normal_press_release,                    // Rn┳2 on LB
		(keyfunc) &kbfun_normal_press_release,                    // Rn┳2 on LP
		(keyfunc) &kbfun_normal_press_release,                    // Rn┳2 on LN
		(keyfunc) &kbfun_normal_press_release,                    // Rn┳2 on LF
		(keyfunc) &kbfun_normal_press_release,                    // Rn┳2 on LD
	},
	{ // row 5 x col 11
		(keyfunc) &kbfun_normal_press_release,                    // Rn┳3 on LB
		(keyfunc) &kbfun_normal_press_release,                    // Rn┳3 on LP
		(keyfunc) &kbfun_normal_press_release,                    // Rn┳3 on LN
		(keyfunc) &kbfun_normal_press_release,                    // Rn┳3 on LF
		(keyfunc) &kbfun_normal_press_release,                    // Rn┳3 on LD
	},
	{ // row 5 x col 12
		(keyfunc) &kbfun_normal_press_release,                    // Rn┳4 on LB
		(keyfunc) &kbfun_normal_press_release,                    // Rn┳4 on LP
		(keyfunc) &kbfun_normal_press_release,                    // Rn┳4 on LN
		(keyfunc) &kbfun_normal_press_release,                    // Rn┳4 on LF
		(keyfunc) &kbfun_normal_press_release,                    // Rn┳4 on LD
	},
	{ // row 5 x col 13
		(keyfunc) &kbfun_normal_press_release,                    // Rn┳o on LB
		(keyfunc) &kbfun_normal_press_release,                    // Rn┳o on LP
		(keyfunc) &kbfun_normal_press_release,                    // Rn┳o on LN
		(keyfunc) &kbfun_normal_press_release,                    // Rn┳o on LF
		(keyfunc) &kbfun_normal_press_release,                    // Rn┳o on LD
	},
},
};
